Eclipse Draw2d 3.3

## org.eclipse.draw2d
Interface ColorConstants

All Known Implementing Classes:
  ButtonBorder, SchemeBorder, SimpleEtchedBorder, SimpleLoweredBorder, SimpleRaisedBorder

    public interface ColorConstants

A collection of color-related constants.

Nested Class Summary
`static class` `ColorConstants.SystemColorFactory`

Field Summary
`static Color` `black` One of the pre-defined colors
`static Color` `blue` One of the pre-defined colors
`static Color` `button`
`static Color` `buttonDarker`
`static Color` `buttonDarkest`
`static Color` `buttonLightest`
`static Color` `cyan` One of the pre-defined colors
`static Color` `darkBlue` One of the pre-defined colors
`static Color` `darkGray` One of the pre-defined colors
`static Color` `darkGreen` One of the pre-defined colors
`static Color` `gray` One of the pre-defined colors
`static Color` `green` One of the pre-defined colors
`static Color` `lightBlue` One of the pre-defined colors
`static Color` `lightGray` One of the pre-defined colors
`static Color` `lightGreen` One of the pre-defined colors
`static Color` `listBackground`
`static Color` `listForeground`
`static Color` `menuBackground`
`static Color` `menuBackgroundSelected`
`static Color` `menuForeground`
`static Color` `menuForegroundSelected`
`static Color` `orange` One of the pre-defined colors
`static Color` `red` One of the pre-defined colors
`static Color` `titleBackground`
`static Color` `titleForeground`
`static Color` `titleGradient`
`static Color` `titleInactiveBackground`
`static Color` `titleInactiveForeground`
`static Color` `titleInactiveGradient`
`static Color` `tooltipBackground`
`static Color` `tooltipForeground`
`static Color` `white` One of the pre-defined colors
`static Color` `yellow` One of the pre-defined colors

Field Detail

### buttonLightest

    static final Color buttonLightest

See Also:
  `SWT#COLOR_WIDGET_HIGHLIGHT_SHADOW`

### button

    static final Color button

See Also:
  `SWT#COLOR_WIDGET_BACKGROUND`

### buttonDarker

    static final Color buttonDarker

See Also:
  `SWT#COLOR_WIDGET_NORMAL_SHADOW`

### buttonDarkest

    static final Color buttonDarkest

See Also:
  `SWT#COLOR_WIDGET_DARK_SHADOW`

### listBackground

    static final Color listBackground

See Also:
  `SWT#COLOR_LIST_BACKGROUND`

### listForeground

    static final Color listForeground

See Also:
  `SWT#COLOR_LIST_FOREGROUND`

### menuBackground

    static final Color menuBackground

See Also:
  `SWT#COLOR_WIDGET_BACKGROUND`

### menuForeground

    static final Color menuForeground

See Also:
  `SWT#COLOR_WIDGET_FOREGROUND`

### menuBackgroundSelected

    static final Color menuBackgroundSelected

See Also:
  `SWT#COLOR_LIST_SELECTION`

### menuForegroundSelected

    static final Color menuForegroundSelected

See Also:
  `SWT#COLOR_LIST_SELECTION_TEXT`

### titleBackground

    static final Color titleBackground

See Also:
  `SWT#COLOR_TITLE_BACKGROUND`

### titleGradient

    static final Color titleGradient

See Also:
  `SWT#COLOR_TITLE_BACKGROUND_GRADIENT`

### titleForeground

    static final Color titleForeground

See Also:
  `SWT#COLOR_TITLE_FOREGROUND`

### titleInactiveForeground

    static final Color titleInactiveForeground

See Also:
  `SWT#COLOR_TITLE_INACTIVE_FOREGROUND`

### titleInactiveBackground

    static final Color titleInactiveBackground

See Also:
  `SWT#COLOR_TITLE_INACTIVE_BACKGROUND`

### titleInactiveGradient

    static final Color titleInactiveGradient

See Also:
  `SWT#COLOR_TITLE_INACTIVE_BACKGROUND_GRADIENT`

### tooltipForeground

    static final Color tooltipForeground

See Also:
  `SWT#COLOR_INFO_FOREGROUND`

### tooltipBackground

    static final Color tooltipBackground

See Also:
  `SWT#COLOR_INFO_BACKGROUND`

### white

    static final Color white

  One of the pre-defined colors

### lightGray

    static final Color lightGray

  One of the pre-defined colors

### gray

    static final Color gray

  One of the pre-defined colors

### darkGray

    static final Color darkGray

  One of the pre-defined colors

### black

    static final Color black

  One of the pre-defined colors

### red

    static final Color red

  One of the pre-defined colors

### orange

    static final Color orange

  One of the pre-defined colors

### yellow

    static final Color yellow

  One of the pre-defined colors

### green

    static final Color green

  One of the pre-defined colors

### lightGreen

    static final Color lightGreen

  One of the pre-defined colors

### darkGreen

    static final Color darkGreen

  One of the pre-defined colors

### cyan

    static final Color cyan

  One of the pre-defined colors

### lightBlue

    static final Color lightBlue

  One of the pre-defined colors

### blue

    static final Color blue

  One of the pre-defined colors

### darkBlue

    static final Color darkBlue

  One of the pre-defined colors

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.